Bug 499050 - Review Request: perl-Daemon-Generic - Framework to provide start/stop/reload for a daemon
Review Request: perl-Daemon-Generic - Framework to provide start/stop/reload ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 499103
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 19:49 EDT by Emmanuel Seyman
Modified: 2009-06-15 21:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.61-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-05-04 19:49:46 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Daemon-Generic/perl-Daemon-Generic.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Daemon-Generic/perl-Daemon-Generic-0.51-1.fc10.src.rpm
Description:
Daemon::Generic provides a framework for starting, stopping, reconfiguring
daemon-like programs. The framework provides for standard commands that
work for as init.d files and as apachectl-like commands.
Comment 1 Parag AN(पराग) 2009-05-05 00:26:44 EDT
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1336251

DEBUG util.py:256:  No Package Found for perl(File::Flock)
Comment 2 Emmanuel Seyman 2009-05-05 04:29:16 EDT
(In reply to comment #1)
>
> DEBUG util.py:256:  No Package Found for perl(File::Flock)  

I have no idea how mock was able to build this package without perl-File-Flock being available. That review is bug #499103.
Comment 3 Parag AN(पराग) 2009-05-08 13:22:40 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1343552
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
68129579330a63296474101f0cd51dfb86f9f671  Daemon-Generic-0.51.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
No tests defined for Daemon::Generic extension.
+ Package perl-Daemon-Generic-0.51-1.fc12.noarch =>
Provides: perl(Daemon::Generic) = 0.51 perl(Daemon::Generic::Event) = 0.3 perl(Daemon::Generic::While1) = 0.3
Requires: perl(Carp) perl(Daemon::Generic) perl(Event) perl(Exporter) perl(File::Flock) perl(File::Slurp) perl(Getopt::Long) perl(POSIX) perl(strict) perl(warnings)

APPROVED.
Comment 4 Emmanuel Seyman 2009-05-08 16:40:36 EDT
Thanks, Parag!

New Package CVS Request
=======================
Package Name: perl-Daemon-Generic
Short Description: Framework to provide start/stop/reload for a daemon
Owners: eseyman
Branches: F-9 F-10 F-11
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-05-09 16:59:00 EDT
cvs done.
Comment 6 Parag AN(पराग) 2009-05-13 02:29:41 EDT
is this built?
Comment 7 Fedora Update System 2009-05-13 11:57:40 EDT
perl-Daemon-Generic-0.61-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Daemon-Generic-0.61-1.fc10
Comment 8 Fedora Update System 2009-05-13 22:53:16 EDT
perl-Daemon-Generic-0.61-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Daemon-Generic'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4935
Comment 9 Fedora Update System 2009-06-15 21:28:01 EDT
perl-Daemon-Generic-0.61-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.